Subject: Re: gcc for arm linux

From: Russell King <[email-masked]>
Date: Mon, 19 Oct 1998 22:21:58 +0100 (BST)

JongMoon writes:
> I want to install gcc on arm linux.
> Dmaking cross-compiler.
> So I done
> # ./configure --target=arm-unknown-linuxaout --host=i586-pc-linux
> # make
> but happend error
> runtime.h:31: stdio.h: file not found
> runtime.h:32:ctype.h[D[D[D[D[D[D[D[D[C ctype.h: file not found
> In file included from runtime.h:38,
>                  from hash.c:32:
> ../objc/objc-api.h:32: stdio.h: file not found
> make[1]: *** [hash.o] Error 1
> make[1]: Leaving directory '/root/gcc-arm/gcc-2.7.2.2./objc'
> make: ***[libobjc.a] Error 2
> 
> I down't know this error

I've forwarded this to the mailing list - you'll probably get an
answer off there.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |   http://www.arm.uk.linux.org/~rmk/aboutme.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Matthew Wilcox <[email-masked]>
Date: Tue, 20 Oct 1998 11:54:50 +0200

> > make: ***[libobjc.a] Error 2

You're trying to build the Objective C compiler which won't work.
You should type `make LANGUAGES=C', as described in the installation
documents in the section `Building a cross-compiler'.

EGCS 1.1b seems to understand about being a crosscompiler much better than
GCC 2.7.2.2.

-- 
Matthew Wilcox <[email-masked]>
"I decry the current tendency to seek patents on algorithms.  There are
better ways to earn a living than to prevent other people from making use of
one's contributions to computer science."  -- Donald E. Knuth, TAoCP vol 3
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]